Vulcan is now ThunderX2T99
ClosedPublic

Authored by steleman on Mar 1 2017, 2:05 PM.

Details

Summary

Broadcom Vulcan is now Cavium ThunderX2T99.

LLVM Bugzilla: http://bugs.llvm.org/show_bug.cgi?id=32113

Minor fixes for the alignments of loops and functions for
ThunderX T81/T83/T88 (better performance).

Patch was tested with SpecCPU2006.

Diff Detail

Repository
rL LLVM
steleman created this revision.Mar 1 2017, 2:05 PM

Diff is based on LLVM trunk from Git mirror on 03/01/2017.

steleman updated this revision to Diff 90280.Mar 1 2017, 10:42 PM

Hi Stefan,

Normally, I'd say this needs to first add the new name, then remove the old one one release later. But since we're at the release boundary, we can announce on the 4.0 release notes that the name will change in the 5.0 release.

This means the patch cannot be backported to 4.0.

A few inline comments...

cheers,
--renato

lib/Target/AArch64/AArch64.td
373 ↗(On Diff #90280)

Just add a comment "ex-Vulcan"

unittests/Support/TargetParserTest.cpp
648 ↗(On Diff #90280)

format

Hi Renato,

Hi Stefan,

Normally, I'd say this needs to first add the new name, then remove the old one one release later. But since we're at the release boundary, we can announce on the 4.0 release notes that the name will change in the 5.0 release.

This makes perfect sense to me.

Also, I will add the changes you suggested and resubmit shortly.

--Stefan

hans added a subscriber: hans.Mar 3 2017, 8:40 AM

Normally, I'd say this needs to first add the new name, then remove the old one one release later. But since we're at the release boundary, we can announce on the 4.0 release notes that the name will change in the 5.0 release.

Such a note for 4.0 is completely inactionable though - the user can't change their build script because it's still called vulcan. I'm not sure how useful that would be.

steleman updated this revision to Diff 90642.Mar 5 2017, 9:06 PM

Updated diff based on Renato's comments.

rengolin accepted this revision.Mar 6 2017, 3:10 PM

Accepted as a rename in 4.0's release notes. LGTM for trunk. Thanks!

This revision is now accepted and ready to land.Mar 6 2017, 3:10 PM
This revision was automatically updated to reflect the committed changes.